﻿Public Class errorGui
    Dim App As String
    Dim Version As String
    Dim Err As Exception

    Public Sub SendData(ByVal AppInfo As ApplicationServices.AssemblyInfo, ByVal ErrData As Exception)
        App = AppInfo.Title
        Version = AppInfo.Version.ToString
        Err = ErrData
    End Sub

    Private Sub errorGui_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.Text = "Oops... " + App + "has crashed!"
        txtApp.Text = App
        txtVersion.Text = Version
        txtMessage.Text = Err.Message
        txtStackTrace.Text = Err.StackTrace
        txtErrType.Text = Err.GetType.ToString
        txtDateTime.Text = Now
        txtOS.Text = System.Environment.OSVersion.ToString
    End Sub

    Private Sub btnQuit_Click(sender As Object, e As EventArgs) Handles btnQuit.Click
        Dim result As MsgBoxResult = MsgBox("Please consider to send us an anonymous reports" + vbCrLf + "It will help us to solve the bug :)" + vbCrLf & vbCrLf + "Do you really want to quit?", MsgBoxStyle.YesNo)
        If result = MsgBoxResult.Yes Then
            Me.Close()
        End If
    End Sub
End Class